<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.14.1) on Sun Jun 12 10:38:58 CEST 2022 -->
<title>Case</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Case";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">src</a></div>
<h2 title="Class Case" class="title">Class Case</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>src.Case</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Case</span>
extends java.lang.Object</pre>
<div class="block">Classe qui permet de gérer une case de la grille du démineur.
 Elle permet de gérer les états de la case, c'est-à-dire si elle a été révelée ou marquée par l'utilisateur
 ou encore de savoir si elle contient une bombe.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cordx">cordx</a></span></code></th>
<td class="colLast">
<div class="block">Attribut permettant de connaitre le numéro de ligne de la case dans la grille</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cordy">cordy</a></span></code></th>
<td class="colLast">
<div class="block">Attribut permettant de connaîre le numéro de colonne de la case dans la grille</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estMarquee">estMarquee</a></span></code></th>
<td class="colLast">
<div class="block">Attribut permettant de savoir si la case est marquée par un drapeau</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estMinee">estMinee</a></span></code></th>
<td class="colLast">
<div class="block">Attribut qui permet de savoir si la case contient une bombe</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estRelevee">estRelevee</a></span></code></th>
<td class="colLast">
<div class="block">Attribut permettant de savoir si la case a été découverte</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int)">Case</a></span>&#8203;(int&nbsp;cordx,
    int&nbsp;cordy)</code></th>
<td class="colLast">
<div class="block">Constructeur permettant de créer une case.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ajouteBombe()">ajouteBombe</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode qui permet de faire de la case une case contenant une bombe</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estBombe()">estBombe</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de savoir si la case est une case minée, c'est-à-dire contenant une bombe</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estMarquee()">estMarquee</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode qui revoie si la case a été marquée, c'est-à-dire si un drapeau est placé dessus</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estRelevee()">estRelevee</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de savoir si la case a été révélée</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAffichage()">getAffichage</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode retourant l'affichage d'une case
 " " si la case n’est ni révélée ni marquée
 "@" si la case est révélée et contient une bombe
 "?"</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCordx()">getCordx</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant d'avoir un accès à la coordonée x de la case dans la grille</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCordy()">getCordy</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant d'avoir un accès à la coordonée y de la case dans la grille</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#marquer()">marquer</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de faire de la case une case qui a été marquée</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#relever()">relever</a></span>()</code></th>
<td class="colLast">
<div class="block">Méthode permettant de faire de la case une case qui a été révélée</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="estMinee">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estMinee</h4>
<pre>private&nbsp;boolean estMinee</pre>
<div class="block">Attribut qui permet de savoir si la case contient une bombe</div>
</li>
</ul>
<a id="estRelevee">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estRelevee</h4>
<pre>private&nbsp;boolean estRelevee</pre>
<div class="block">Attribut permettant de savoir si la case a été découverte</div>
</li>
</ul>
<a id="estMarquee">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estMarquee</h4>
<pre>private&nbsp;boolean estMarquee</pre>
<div class="block">Attribut permettant de savoir si la case est marquée par un drapeau</div>
</li>
</ul>
<a id="cordx">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cordx</h4>
<pre>private&nbsp;int cordx</pre>
<div class="block">Attribut permettant de connaitre le numéro de ligne de la case dans la grille</div>
</li>
</ul>
<a id="cordy">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>cordy</h4>
<pre>private&nbsp;int cordy</pre>
<div class="block">Attribut permettant de connaîre le numéro de colonne de la case dans la grille</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Case</h4>
<pre>public&nbsp;Case&#8203;(int&nbsp;cordx,
            int&nbsp;cordy)</pre>
<div class="block">Constructeur permettant de créer une case. Par défaut elle n'est ni minée, ni révélée, ni marquée.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cordx</code> - Paramètre renseignant le numéro de ligne de la case dans la grille</dd>
<dd><code>cordy</code> - Paramètre renseignant le numéro de colonne de la case dans la grille</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getCordx()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCordx</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getCordx()</pre>
<div class="block">Méthode permettant d'avoir un accès à la coordonée x de la case dans la grille</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le numéro de la ligne de la case dans la grille</dd>
</dl>
</li>
</ul>
<a id="getCordy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCordy</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getCordy()</pre>
<div class="block">Méthode permettant d'avoir un accès à la coordonée y de la case dans la grille</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le numéro de  la colonne de la case dans la grille</dd>
</dl>
</li>
</ul>
<a id="ajouteBombe()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouteBombe</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;ajouteBombe()</pre>
<div class="block">Méthode qui permet de faire de la case une case contenant une bombe</div>
</li>
</ul>
<a id="estBombe()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estBombe</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estBombe()</pre>
<div class="block">Méthode permettant de savoir si la case est une case minée, c'est-à-dire contenant une bombe</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>L'état booléen de la case indiquant si la case contient une bombe</dd>
</dl>
</li>
</ul>
<a id="estRelevee()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estRelevee</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estRelevee()</pre>
<div class="block">Méthode permettant de savoir si la case a été révélée</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>L'état booléen de la case indiquant si la case est révélée ou pas</dd>
</dl>
</li>
</ul>
<a id="relever()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>relever</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;relever()</pre>
<div class="block">Méthode permettant de faire de la case une case qui a été révélée</div>
</li>
</ul>
<a id="estMarquee()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estMarquee</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estMarquee()</pre>
<div class="block">Méthode qui revoie si la case a été marquée, c'est-à-dire si un drapeau est placé dessus</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>L'état booléen de si la case est marquée ou non</dd>
</dl>
</li>
</ul>
<a id="marquer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>marquer</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;marquer()</pre>
<div class="block">Méthode permettant de faire de la case une case qui a été marquée</div>
</li>
</ul>
<a id="getAffichage()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAffichage</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getAffichage()</pre>
<div class="block">Méthode retourant l'affichage d'une case
 " " si la case n’est ni révélée ni marquée
 "@" si la case est révélée et contient une bombe
 "?" si la case a été marquée
 "v" si on doit compter le nombre de bombes autour des voisines</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>L'affichage de la case en fonction de ce qu'elle contient</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
